
import random
import bluetooth

def scan_for_devices():
    """
    Scan for Bluetooth devices and return a list of device names and addresses.
    """
    nearby_devices = bluetooth.discover_devices(duration=10, lookup_names=True)
    device_list = []
    for addr, name in nearby_devices:
        device_list.append({"name": name, "address": addr})
    return device_list

